-- name: THE PERFECTLY WEIRD CHARACTER PACK
-- description: The only pack you'll ever need ;)

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_MORSHU = smlua_model_util_get_id("morshu_geo")
local E_MODEL_NEIGHBOR = smlua_model_util_get_id("neighbor_geo")
local E_MODEL_NECO = smlua_model_util_get_id("neco_geo")
local E_MODEL_REFLEX = smlua_model_util_get_id("reflex_geo")
local E_MODEL_FURRET = smlua_model_util_get_id("furret_geo")
local E_MODEL_POPEYE = smlua_model_util_get_id("popeye_geo")
local E_MODEL_EDDIE = smlua_model_util_get_id("eddie_geo")
local E_MODEL_JEREMY = smlua_model_util_get_id("jeremy_geo")

local TEX_MORSHU = get_texture_info("morshu-icon")
local TEX_NEIGHBOR = get_texture_info("neighbor-icon")
local TEX_NECO = get_texture_info("neco-icon")
local TEX_REFLEX = get_texture_info("reflex-icon")
local TEX_FURRET = get_texture_info("furret-icon")
local TEX_POPEYE = get_texture_info("popeye-icon")
local TEX_EDDIE = get_texture_info("eddie-icon")
local TEX_JEREMY = get_texture_info("jeremy-icon")

local TEXT_MOD_NAME = "Moai"




local CAPTABLE_CHAR = {
    normal = smlua_model_util_get_id("custom_model_cap_normal_geo"),
    wing = smlua_model_util_get_id("custom_model_cap_wing_geo"),
    metal = smlua_model_util_get_id("custom_model_cap_metal_geo"),
    metalWing = smlua_model_util_get_id("custom_model_cap_wing_geo"),
}

if _G.charSelectExists then
    CT_MORSHU = _G.charSelect.character_add("Morshu", {"You want it? It's your's, my friend"}, "CT Himself", {r = 255, g = 255, b = 255}, E_MODEL_MORSHU, CT_MARIO, TEX_MORSHU)

    CT_NEIGHBOR = _G.charSelect.character_add("The Neighbor", {"What's in his basement?"}, "CT Himself", {r = 255, g = 255, b = 255}, E_MODEL_NEIGHBOR, CT_MARIO, TEX_NEIGHBOR)

    CT_NECO = _G.charSelect.character_add("Neco Arc", {"Insert funny Neco word here"}, "CT Himself", {r = 255, g = 255, b = 255}, E_MODEL_NECO, CT_MARIO, TEX_NECO)

    CT_REFLEX = _G.charSelect.character_add("Dr.Reflex", {"Who wants their reflexes checked??"}, "CT Himself", {r = 255, g = 255, b = 255}, E_MODEL_REFLEX, CT_MARIO, TEX_REFLEX)

    CT_FURRET = _G.charSelect.character_add("Furret", {"He walk"}, "CT Himself", {r = 255, g = 255, b = 255}, E_MODEL_FURRET, CT_MARIO, TEX_FURRET)

    CT_POPEYE = _G.charSelect.character_add("Popeye", {"I yam what I yam", "And that's all I yam"}, "CT Himself", {r = 255, g = 255, b = 255}, E_MODEL_POPEYE, CT_MARIO, TEX_POPEYE)
 
    CT_EDDIE = _G.charSelect.character_add("Eddie Gourmand", {"I want Canadian Bacon walnuts", "and MORE Canadian Bacon!"}, "CT Himself", {r = 255, g = 255, b = 255}, E_MODEL_EDDIE, CT_MARIO, TEX_EDDIE)

    CT_JEREMY = _G.charSelect.character_add("Jeremy", {"Ad hoc, ad loc, and quid pro quo!", "So little time, so much to know!"}, "CT Himself", {r = 255, g = 255, b = 255}, E_MODEL_JEREMY, CT_MARIO, TEX_JEREMY)


else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end